org.apache.commons.math3.linear

## Class RealVectorFormat

- java.lang.Object
- - org.apache.commons.math3.linear.RealVectorFormat

    public class RealVectorFormat
    extends java.lang.Object

Formats a vector in components list format "{v0; v1; ...; vk-1}".

The prefix and suffix "{" and "}" and the separator "; " can be replaced by any user-defined strings. The number format for components can be configured.

White space is ignored at parse time, even if it is in the prefix, suffix or separator specifications. So even if the default separator does include a space character that is used at format time, both input string "{1;1;1}" and " { 1 ; 1 ; 1 } " will be parsed without error and the same vector will be returned. In the second case, however, the parse position after parsing will be just after the closing curly brace, i.e. just before the trailing space.

Since:
  2.0
Version:
  $Id: RealVectorFormat.java 1416643 2012-12-03 19:37:14Z tn $

### Field Summary

Fields
`private static java.lang.String` `DEFAULT_PREFIX` The default prefix: "{".
`private static java.lang.String` `DEFAULT_SEPARATOR` The default separator: ", ".
`private static java.lang.String` `DEFAULT_SUFFIX` The default suffix: "}".
`private java.text.NumberFormat` `format` The format used for components.
`private java.lang.String` `prefix` Prefix.
`private java.lang.String` `separator` Separator.
`private java.lang.String` `suffix` Suffix.
`private java.lang.String` `trimmedPrefix` Trimmed prefix.
`private java.lang.String` `trimmedSeparator` Trimmed separator.
`private java.lang.String` `trimmedSuffix` Trimmed suffix.

### Constructor Summary

Constructors
Constructor and Description
`RealVectorFormat()` Create an instance with default settings.
`RealVectorFormat(java.text.NumberFormat format)` Create an instance with a custom number format for components.
`RealVectorFormat(java.lang.String prefix, java.lang.String suffix, java.lang.String separator)` Create an instance with custom prefix, suffix and separator.
`RealVectorFormat(java.lang.String prefix, java.lang.String suffix, java.lang.String separator, java.text.NumberFormat format)` Create an instance with custom prefix, suffix, separator and format for components.

### Method Summary

Methods
`java.lang.String` `format(RealVector v)` This method calls `format(RealVector,StringBuffer,FieldPosition)`.
`java.lang.StringBuffer` `format(RealVector vector, java.lang.StringBuffer toAppendTo, java.text.FieldPosition pos)` Formats a `RealVector` object to produce a string.
`static java.util.Locale[]` `getAvailableLocales()` Get the set of locales for which real vectors formats are available.
`java.text.NumberFormat` `getFormat()` Get the components format.
`static RealVectorFormat` `getInstance()` Returns the default real vector format for the current locale.
`static RealVectorFormat` `getInstance(java.util.Locale locale)` Returns the default real vector format for the given locale.
`java.lang.String` `getPrefix()` Get the format prefix.
`java.lang.String` `getSeparator()` Get the format separator between components.
`java.lang.String` `getSuffix()` Get the format suffix.
`ArrayRealVector` `parse(java.lang.String source)` Parse a string to produce a `RealVector` object.
`ArrayRealVector` `parse(java.lang.String source, java.text.ParsePosition pos)` Parse a string to produce a `RealVector` object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_PREFIX

    private static final java.lang.String DEFAULT_PREFIX

The default prefix: "{".

See Also:
  Constant Field Values

#### DEFAULT_SUFFIX

    private static final java.lang.String DEFAULT_SUFFIX

The default suffix: "}".

See Also:
  Constant Field Values

#### DEFAULT_SEPARATOR

    private static final java.lang.String DEFAULT_SEPARATOR

The default separator: ", ".

See Also:
  Constant Field Values

#### prefix

    private final java.lang.String prefix

Prefix.

#### suffix

    private final java.lang.String suffix

Suffix.

#### separator

    private final java.lang.String separator

Separator.

#### trimmedPrefix

    private final java.lang.String trimmedPrefix

Trimmed prefix.

#### trimmedSuffix

    private final java.lang.String trimmedSuffix

Trimmed suffix.

#### trimmedSeparator

    private final java.lang.String trimmedSeparator

Trimmed separator.

#### format

    private final java.text.NumberFormat format

The format used for components.

### Constructor Detail

#### RealVectorFormat

    public RealVectorFormat()

Create an instance with default settings.

The instance uses the default prefix, suffix and separator: "{", "}", and "; " and the default number format for components.

#### RealVectorFormat

    public RealVectorFormat(java.text.NumberFormat format)

Create an instance with a custom number format for components.

Parameters:
  `format` - the custom format for components.

#### RealVectorFormat

    public RealVectorFormat(java.lang.String prefix,
                    java.lang.String suffix,
                    java.lang.String separator)

Create an instance with custom prefix, suffix and separator.

Parameters:
  `prefix` - prefix to use instead of the default "{"
  `suffix` - suffix to use instead of the default "}"
  `separator` - separator to use instead of the default "; "

#### RealVectorFormat

    public RealVectorFormat(java.lang.String prefix,
                    java.lang.String suffix,
                    java.lang.String separator,
                    java.text.NumberFormat format)

Create an instance with custom prefix, suffix, separator and format for components.

Parameters:
  `prefix` - prefix to use instead of the default "{"
  `suffix` - suffix to use instead of the default "}"
  `separator` - separator to use instead of the default "; "
  `format` - the custom format for components.

### Method Detail

#### getAvailableLocales

    public static java.util.Locale[] getAvailableLocales()

Get the set of locales for which real vectors formats are available.

This is the same set as the `NumberFormat` set.

Returns:
  available real vector format locales.

#### getPrefix

    public java.lang.String getPrefix()

Get the format prefix.

Returns:
  format prefix.

#### getSuffix

    public java.lang.String getSuffix()

Get the format suffix.

Returns:
  format suffix.

#### getSeparator

    public java.lang.String getSeparator()

Get the format separator between components.

Returns:
  format separator.

#### getFormat

    public java.text.NumberFormat getFormat()

Get the components format.

Returns:
  components format.

#### getInstance

    public static RealVectorFormat getInstance()

Returns the default real vector format for the current locale.

Returns:
  the default real vector format.

#### getInstance

    public static RealVectorFormat getInstance(java.util.Locale locale)

Returns the default real vector format for the given locale.

Parameters:
  `locale` - the specific locale used by the format.
Returns:
  the real vector format specific to the given locale.

#### format

    public java.lang.String format(RealVector v)

This method calls `format(RealVector,StringBuffer,FieldPosition)`.

Parameters:
  `v` - RealVector object to format.
Returns:
  a formatted vector.

#### format

    public java.lang.StringBuffer format(RealVector vector,
                                java.lang.StringBuffer toAppendTo,
                                java.text.FieldPosition pos)

Formats a `RealVector` object to produce a string.

Parameters:
  `vector` - the object to format.
  `toAppendTo` - where the text is to be appended
  `pos` - On input: an alignment field, if desired. On output: the offsets of the alignment field
Returns:
  the value passed in as toAppendTo.

#### parse

    public ArrayRealVector parse(java.lang.String source)

Parse a string to produce a `RealVector` object.

Parameters:
  `source` - String to parse.
Returns:
  the parsed `RealVector` object.
Throws:
  `MathParseException` - if the beginning of the specified string cannot be parsed.

#### parse

    public ArrayRealVector parse(java.lang.String source,
                        java.text.ParsePosition pos)

Parse a string to produce a `RealVector` object.

Parameters:
  `source` - String to parse.
  `pos` - input/ouput parsing parameter.
Returns:
  the parsed `RealVector` object.